package com.mobset.sms;

import java.net.URL;
import java.rmi.RemoteException;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.xml.rpc.ServiceException;
import javax.xml.rpc.holders.LongHolder;
import javax.xml.rpc.holders.StringHolder;

import org.tempuri.MobileListGroup;
import org.tempuri.MobsetApiSoap;
import org.tempuri.SmsIDGroup;
import org.tempuri.holders.ArrayOfSmsIDListHolder;

import com.mobset.bean.DataObjectBean;
import com.mobset.bean.msmResultBean;
import com.mobset.factory.DataObjectFactory;
import com.util.MD5;
import com.util.StringUtils;
/**
 * Ų*/
public class sms_Send {
	private static long corpID;      					//ҵID
	private static String loginName;					//¼ʺ
	private static String password;						//룬MD5(CorpID+ʺ+TimeStamp)
    private static	URL url;
	private static String timeStamp = "1105203910";		//ʱMMDDHHMMSSʱ),0514094912
	private static String addNum;						//չӺţڶ˿ںź
	private static String timer = "2012-11-05 20:39:10";//ʱʱ䣺yyyy-MM-dd HH:mm:ss :2010-05-14 10:30:00
	private static long longSms = 0;					//ǷԳŷʽ,0-1-
	private static MobileListGroup[] mobileList;		//պбMobileListGroupɣΪֹʱÿύţպ鲻Ҫ50
	private static StringHolder errMsg;					//Ϣڷغý
	private static ArrayOfSmsIDListHolder smsIDList;	//IDбڷطͳɹĶż¼ID˶ID״̬ƥʶ
	private static LongHolder count ;					//úķֵͶţضID(SmsID)
	
	public static msmResultBean SendMsg(String mobiles,String content){
		Date now = new Date(); 
		SimpleDateFormat dateFormat = new SimpleDateFormat("MMddHHmmss");//Է޸ڸʽ
		timeStamp = dateFormat.format(now); 
		System.out.println(timeStamp); 
		
		//ʼ
		errMsg = new StringHolder();
		smsIDList = new ArrayOfSmsIDListHolder();
		count = new LongHolder();
		msmResultBean msmBean = new msmResultBean();
		
		//ȡʺϢ
		DataObjectBean bean = DataObjectFactory.getInstance();
		corpID = new Long(bean.getCordId());
		loginName = bean.getUserName();
		password = bean.getPasswd();
		//ʵ
		try
		{
		url=new URL(bean.getServerIP());
		}
		catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        MobsetApiSoap mobset = DataObjectFactory.getMobsetApi(url);
		//ַֻֽ⵽
		String [] mobileArray= StringUtils.replace(mobiles, "", ";").split(";");
		mobileList = new MobileListGroup[mobileArray.length];
		
		for (int i = 0;i<mobileList.length;i++) {
			mobileList[i] = new MobileListGroup();
			mobileList[i].setMobile(mobileArray[i]);
		}
		
		//MD5
		MD5 md5 = new MD5();
		password = md5.getMD5ofStr(corpID+password+timeStamp);
		
		try {
			//÷ͷж·
			mobset.sms_Send(corpID, loginName, password, timeStamp, addNum, timer, longSms, mobileList, content, count, errMsg, smsIDList);
			msmBean.setErrMsg(errMsg);
			msmBean.setMobileList(mobileList);
			msmBean.setSmsIDList(smsIDList);
			
		} catch (RemoteException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return msmBean;
	}
}
